# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/Gtest clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "Gtest requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/Gtest build
## ---------------------------------------------------------------------------

set(Gtest_CXX_COMPILER "/opt/arm-linux-musleabihf/arm-linux-musleabihf/sys-root/usr/local/bin/mpicxx")

set(Gtest_C_COMPILER "/opt/arm-linux-musleabihf/arm-linux-musleabihf/sys-root/usr/local/bin/mpicc")

set(Gtest_Fortran_COMPILER "/opt/bin/armv7l-linux-musleabihf-libgfortran5-cxx03-mpi+mpich/arm-linux-musleabihf-gfortran")
# Deprecated!
set(Gtest_FORTRAN_COMPILER "/opt/bin/armv7l-linux-musleabihf-libgfortran5-cxx03-mpi+mpich/arm-linux-musleabihf-gfortran") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/Gtest build
## ---------------------------------------------------------------------------

## Give the build type
set(Gtest_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(Gtest_CXX_FLAGS [[ ]])

set(Gtest_C_FLAGS [[  -O3 -fPIC -fopenmp ]])

set(Gtest_Fortran_FLAGS [[ ]])
# Deprecated
set(Gtest_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(Gtest_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(Gtest_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/workspace/destdir/lib")
set(Gtest_BUILD_SHARED_LIBS "ON")

set(Gtest_LINKER /opt/bin/armv7l-linux-musleabihf-libgfortran5-cxx03-mpi+mpich/arm-linux-musleabihf-ld)
set(Gtest_AR /opt/bin/armv7l-linux-musleabihf-libgfortran5-cxx03-mpi+mpich/arm-linux-musleabihf-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(Gtest_INSTALL_DIR "/workspace/destdir")

## List of package libraries
set(Gtest_LIBRARIES Gtest::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(Gtest_MPI_LIBRARIES "")
set(Gtest_MPI_LIBRARY_DIRS "")
set(Gtest_MPI_INCLUDE_DIRS "")
set(Gtest_MPI_EXEC "/opt/arm-linux-musleabihf/arm-linux-musleabihf/sys-root/usr/local/bin/mpiexec")
set(Gtest_MPI_EXEC_MAX_NUMPROCS "4")
set(Gtest_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies

# Exported cache variables

# Include configuration of dependent packages

# Import Gtest targets
include("${CMAKE_CURRENT_LIST_DIR}/GtestTargets.cmake")

# Standard TriBITS-compliant external package variables
set(Gtest_IS_TRIBITS_COMPLIANT TRUE)
set(Gtest_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(Gtest_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(Gtest_EXPORTED_PACKAGE_LIBS_NAMES "gtest")

foreach(libname IN LISTS Gtest_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE Gtest::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'Gtest::${libname}', or better yet,"
      " 'Gtest::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'Gtest'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'Gtest_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
